@charset "utf-8";


/*header（ロゴが入った最上段のブロック）tp_kagu1/位置ｚらす。ＤＤきかないFaq-macaron.htmlで使用。共通化したい。202607
---------------------------------------------------------------------------*/
/*ヘッダー*/

header {
    display: flex;position: fixed;background: rgba(255,255,255,0.5);
	justify-content: space-between;z-index: 201;
	align-items: center;
	gap: 2rem;
	height: 70px;	/*ヘッダーの高さ。お好みで。*/
		/*padding-inline: 2rem;左右の余白。theme.cssのcontent-space-sを読み込みます*/
}

/*ロゴ画像*/
header .logo {margin: 0;flex-shrink: 0;}
header .logo img {
	display: block;
	width: 120px;	/*ロゴの幅。お好みで。*/
}

/*大きな端末で見たメニュー中央に四世帯が左に
---------------------------------------------------------------------------*/
/*メニューブロック全体の設定*/
header #menubar-pc {
	font-size: 0.9rem;	/*文字サイズ90%*/	position: fixed;	/*スクロールしても常に同じ場所に配置*/
	z-index: 201;
}
header #menubar-pc > nav > ul {
	display: flex;
	align-items: center;
	gap: 1.5rem;	/*メニュー同士に空けるスペース。1.5文字分。*/
	margin-left: 30px;	/*左側にとるスペース。ロゴとの間の間隔を調整します。追加様子見*/
	font-size: 0.9rem;	/*文字サイズ。90%。追加様子見*/}


	/*画面幅480px以下の追加指定*/
	@media screen and (max-width:480px) {
header .logo img {
	right: 0px;		/*右からの配置場所*/
	top: 0px;		/*上からの配置場所*/
	width: 120px;	/*ロゴの幅。お好みで。*/
}

header #menubar-pc > nav > ul {display: none;}

/*メニュー１個あたりの設定*/
header #menubar-pc li a {
	display: block;text-decoration: none;
}}


/*大きな端末で見た場合のドロップダウンメニューdenai
---------------------------------------------------------------------------*/
/*ドロップダウン全体*/
header #menubar-pc ul ul {
	text-shadow: none;	position: fixed;	/*スクロールしても常に同じ場所に配置*/
	z-index: 101;animation: opa1 0.5s 0.1s both;	/*0.1秒待機後、0.5秒かけてフェードイン表示*/

}

/*メニュー１個あたり*/
header #menubar-pc ul ul a {
	background: rgba(0,0,0,0.3);	/*背景色。0,0,0は黒のことで0.3は色が30%出た状態。*/
	color: #fff;			/*文字色*/
	padding: 0.2rem 1rem;	/*上下に0.2文字分、左右に1文字分の余白*/
	border-radius: 3px;		/*角を少しだけ丸く。*/
	margin-top: 3px;		/*メニュー同士の間に空けるスペース*/
}

/*マウスオン時の背景色*/
header #menubar-pc ul ul a:hover {
	background: rgba(0,0,0,0.5);	/*背景色*/
}


/*ドロップダウンのアイコン*/
a.ddmenu::before {
	font-family: "Font Awesome 6 Free";
	font-weight: 900;
	content: "\f078";		/*このアイコンを使う*/
	margin-right: 1em;		/*アイコンとメニューテキストとの間に空けるスペース。1文字分。*/
	font-size: 0.7em;		/*アイコンサイズ。70%*/
	vertical-align: middle;
	display: inline-block;
	line-height: 1;
}

/*ドロップダウン共通（デフォルトで非表示。チラつかないよう念の為。）
---------------------------------------------------------------------------*/
header #menubar-pc ul ul {display: none;}


/*３本バー（ハンバーガー）アイコン設定/tp_lp2/
---------------------------------------------------------------------------*/
#menubar_hdr {
	display: none; /* デフォルトは非表示 */
	position: fixed;
	z-index: 101;
	cursor: pointer;
	right: 0px;		/*右からの配置場所*/
	top: 0px;		/*上からの配置場所*/
	width: 70px;	/*ボタンの幅*/
	height: 70px;	/*ボタンの高さ*/
	background: #0e211f;	/*ボタン色*/
	transform-origin: right top;
	transform: scale(1);	/*アイコンのサイズ。100%。このテンプレの場合はOnline Shopボタンと揃えてるので、基本、変更しない方がいいです。*/
}

/*バツ印が出ている時のボタン色*/
#menubar_hdr.ham {
	background: #8f8dc9;
}

/*ハンバーガーアイコンの線*/
#menubar_hdr span {
	display: block;
	position: absolute;
	left: 18px;
	width: 35px;
	height: 2px;		/*線の高さ*/
	background: #fff;	/*線の色*/
	transition: 0.3s;	/*線が切り替わる場合にかける時間。0.3秒。*/
}

/*以下は基本的に変更しない*/
#menubar_hdr span:nth-of-type(1) {
	top: 24px;
}
#menubar_hdr span:nth-of-type(2) {
	top: 34px;
}
#menubar_hdr span:nth-of-type(3) {
	top: 44px;
}

/* ハンバーガーメニュー展開時 */
#menubar_hdr.ham span:nth-of-type(1) {
	transform: translateY(10px) rotate(-45deg);
}
#menubar_hdr.ham span:nth-of-type(2) {
	opacity: 0;
}
#menubar_hdr.ham span:nth-of-type(3) {
	transform: translateY(-10px) rotate(45deg);
}

/*小さな画面での設定*/
.small-screen #menubar_hdr {
	display: flex;
}


/*開閉メニュー
---------------------------------------------------------------------------*/
/*メニューブロック共通*/
.small-screen #menubar {
	animation: animation1 0.2s both;
	position: fixed;overflow: auto;z-index: 100;
	right: 0px;top: 0px;
	width: 70%;		/*ブロックの幅。お好みで。*/
	height: 100%;
	padding: 100px var(--content-space) 50px;		/*ブロック内の余白。上に100px、左右についてはcss冒頭のcontent-spaceを読み込む、下に50px。*/
	background: var(--primary-color);		/*背景色。css冒頭のprimary-colorを読み込みます。*/
	color: var(--primary-inverse-color);	/*文字色。css冒頭のprimary-inverse-colorを読み込みます。*/
}

.small-screen #menubar {display: none;}

/*メニュー１個あたり*/
.small-screen #menubar a {
	display: block;text-decoration: none;
	color: inherit;
	border: 1px solid #fff;	/*枠線の幅、線種、色*/
	margin-bottom: 1rem;	/*下に１文字分のスペースを空ける。メニュー同士の間隔です。*/
	padding: 1rem 2rem;		/*メニュー内の余白。上下に１文字分、左右に２文字分。*/
}

/*子メニュー（ドロップダウンメニュー）*/
.small-screen #menubar ul ul a {
	border: none;
	padding: 0;
    margin-left: 0.8rem;	/*3.8左に空けるスペース*/
}

/*ドロップダウンのアイコン*/
a.ddmenu::before {
	font-family: "Font Awesome 6 Free";
	font-weight: bold;
	content: "\f078";		/*このアイコンを使う*/
	margin-right: 0.3em;	/*アイコンとメニューテキストとの間に空けるスペース。0.5文字分。*/
	transform: scale(0.7);	/*アイコンを70%のサイズに*/
	display: inline-block;
}
a.ddmenu {cursor: default;}


/*ヘッダー右側の「Online Shop」のボックスtp_lp2
---------------------------------------------------------------------------*/
#header-box * {margin: 0;padding: 0;}

/*ボックス全体*/
#header-box {
	list-style: none;
	position: fixed;	/*スクロールしても常に同じ場所に配置*/
	z-index: 101;
	right: 70px;		/*右側からの配置場所。ハンバーガーアイコンの幅と合わせておくときれいに並びます。*/
	top: 0px;			/*上からの配置場所。*/
	height: 70px;		/*高さ。ハンバーガーアイコンの高さと合わせておくときれいに並びます。*/
	display: flex;		/*メニューが増えた場合に横並びにする*/
}

/*メニュー１個あたり*/
#header-box a {
	display: flex;text-decoration: none;
	height: 100%;
	align-items: center;
	background: var(--primary-color);		/*背景色。css冒頭のprimary-colorを読み込みます。*/
	color: var(--primary-inverse-color);	/*文字色。css冒頭のprimary-inverse-colorを読み込みます。*/
	padding: 0 2rem;	/*上下、左右へのボタン内の余白*/
}
